<script setup lang="ts">
import { inject, type Ref } from 'vue'

const drawer = inject<Ref<boolean>>('drawer')
const titleBar = inject<Ref<string>>('title')
</script>

<template>
  <div>
    <v-navigation-drawer v-model="drawer" :width="200" :height="400">
      <v-list density="compact" nav>
        <v-list-item
          prepend-icon="mdi-clock"
          title="Log-in"
          value="check"
          @click="titleBar = 'Check'"
          :to="{ name: 'checkLogin' }"
        ></v-list-item>
        <v-list-item
          prepend-icon="mdi-clock"
          title="ดูประวัติการเข้าทำงาน"
          value="check"
          @click="titleBar = 'Check'"
          :to="{ name: 'checkTable' }"
        ></v-list-item>
      </v-list>
    </v-navigation-drawer>
  </div>
</template>
